# Installation

Getting started with Nuxt 3 is straightforward.

::alert
If you want to migrate an existing Nuxt 2 project, skip this and follow the [Bridge instructions](/getting-started/bridge) instead.<br>
Learn more in [Introduction](/getting-started/introduction).
::

## New project

Open a terminal, or from [Visual Studio Code](https://code.visualstudio.com/), open an [integrated terminal](https://code.visualstudio.com/docs/editor/integrated-terminal) and use the following command to create a new starter project:

```bash
npx nuxi init nuxt3-app
```

Open `nuxt3-app` folder in visual studio code:

```bash
code -r nuxt3-app
```

Install the dependencies:

::code-group
```bash [Yarn]
yarn install
```
```bash [NPM]
npm install
```
::

## Development Server

Now you'll be able to use `yarn dev` to start your nuxt app in development mode:

::code-group
```bash [Yarn]
yarn dev -o
```
```bash [NPM]
npm run dev -- -o
```
::

::alert{type=success icon=✨ .font-bold}
Well done! A browser window should automatically open for http://localhost:3000
::

## Next steps

Now that you've created your Nuxt 3 project, you are ready to start building your application.

- Learn about the [Concepts](/concepts)
- Learn more about the [Usage](/docs)
